Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 19382
Description

Please, can you add an option to show only the active feature of the coverage layer?

You have an example into the zip file.

Regards.

History

#1 - 2014-08-13 01:39 AM - Mathieu Bossaert

Good morning Loic,

since QGis 2.2 you can do such a thing using rules to draw only current atlas feature :

http://nathanw.net/2013/12/02/waiting-for-qgis-22-highlighting-current-atlas-feature/

You only have to define the symbology for your layer and ask QGis to apply it only to the current atlas feature with the rule $id=$atlasfeatureid

#2 - 2014-08-13 03:14 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

As mentioned by Mathieu - this is currently possible.

#3 - 2014-08-13 11:00 PM - Loic BARTOLETTI

Indeed, we can do whatever we want with symbology.

But | thought it might be directly in control of the atlas without changing the symbology.
